Bug 1288593 - meld - wrong dependency on python-gobject package
meld - wrong dependency on python-gobject package
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: meld (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 11:51 EST by pstodulk
Modified: 2016-07-19 14:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:34:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pstodulk 2015-12-04 11:51:24 EST
Actual package requires packages python-gobject - probably error due to merging from Fedora 23? Package pygobject2 should be required instead.

Actual package in repository is unsusable too - it can't handle any comandline arguments. Please fix it ASAP.
Comment 1 Michael Cronenworth 2015-12-08 12:10:23 EST
The dependency is provided by the pygobject3 package.

%package     -n python-gobject

I'm not sure what you're requesting to change. Nothing is broken as far as dependencies are concerned.
Comment 2 pstodulk 2015-12-08 12:16:35 EST
OK in that case is something really wierd and some troubles with dnf? Because me (and other) are not able to install this package. See https://bodhi.fedoraproject.org/updates/FEDORA-2015-b6b8d93863
Comment 3 pstodulk 2015-12-08 12:17:09 EST
correction: *may some troubles with dnf?
Comment 4 pstodulk 2015-12-08 12:29:42 EST
My output for package in actual dist-git with dependency on python-gobject:

# dnf install ./meld-3.14.1-1.fc22.noarch.rpm --enablerepo=updates-testing
Last metadata expiration check performed 0:02:04 ago on Tue Dec  8 18:26:25 2015.
Chyba: nothing provides python-gobject needed by meld-3.14.1-1.fc22.noarch
(try to add '--allowerasing' to command line to replace conflicting packages)
Comment 5 Michael Cronenworth 2015-12-08 12:49:40 EST
(I'm not the maintainer, I'm just helping here)

Let's look at the history of this.

Bug 1266389 was opened to request the dependency on python-gobject. At that time it was provided in pygobject3-3.17.90-2, which is not available on Fedora 22.

IMHO, meld can do an %if 0%{fedora} < 23 test, or you can RFE a new pygobject3 build (either a version update or package fix) be pushed to Fedora 22. I'd suggest the latter.

A matter for another day: Why does pygobject2 do that pygobject3 (python2 bindings) do not do? Do we need both packages in Fedora?
Comment 6 Veteran 2016-02-15 10:25:05 EST
Now something is broken in dependency:

$ sudo dnf install python2-audioread
Last metadata expiration check performed 0:00:42 ago on Mon Feb 15 10:20:02 2016.
Error: nothing provides python-gobject needed by python2-audioread-2.1.2-2.fc22.noarch
Comment 7 Veteran 2016-02-15 10:37:04 EST
For some reason this was pushed to stable even though it fails depchecks

results:
- arch: x86_64
  item: python-audioread-2.1.2-2.fc22
  outcome: FAILED
  type: koji_build


conflicting requests
nothing provides python-gobject needed by python2-audioread-2.1.2-2.fc22.noarch
Comment 8 pstodulk 2016-02-15 10:39:16 EST
May should be started unresponsive mainatiner process. It's long time and I haven't got any reponse from Dominic yet.
Comment 9 Veteran 2016-02-15 10:45:44 EST
I opened new Bug 1308613 - python-audiofile fails dependency check for python-gobject
Comment 10 Fedora End Of Life 2016-07-19 14:34:03 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.